Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std
Class Executive

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.Executive

public class Executive
extends Behavior

Collapse document, showing just Notemarks and structure.

Version:
  $Revision: 1.3 $ $Date: 2002/02/01 04:16:30 $

Field Summary
`static java.lang.String` | `MSG_SUMMARY` Turn on or off or toggle.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`Executive()`

Method Summary
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` On "executiveSummary", mark tree dirty and repaint (which invokes reformat).
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Put checkbox in View menu and document popup. => Move to user hub

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_SUMMARY

    public static final java.lang.String MSG_SUMMARY

  Turn on or off or toggle.

  `"executiveSummary"`: `arg=` `String` on/off/toggle.

  See Also:
    Constant Field Values

Constructor Detail

### Executive

    public Executive()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Put checkbox in View menu and document popup. => Move to user hub

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  On "executiveSummary", mark tree dirty and repaint (which invokes reformat).

  Overrides:
    `semanticEventAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD